package pracownik;

public class PracownikZPremia extends Pracownik {
	private int sumaPremii = 0;

	public PracownikZPremia(int stawka) {
		super(stawka);
	}

	public void premia(int kwota) {
		sumaPremii += kwota;
	}
	
	@Override
	public int wyplata() {
		try {
			return super.wyplata() + sumaPremii;
		} finally {
			sumaPremii = 0;
		}
	}

}
